﻿using Hotline.Share.Dtos.File;
using Hotline.Share.Enums.Order;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Order
{
	public class OrderScreenDto
	{
		/// <summary>
		/// 工单编号
		/// </summary>
		public string No { get; set; }

		/// <summary>
		/// 工单id
		/// </summary>
		public string VisitId { get; set; }

		/// <summary>
		/// 工单id
		/// </summary>
		public string OrderId { get; set; }

		/// <summary>
		/// 甄别申请类型id
		/// </summary>
		public string TypeDicId { get; set; }

		/// <summary>
		/// 甄别申请类型名称
		/// </summary>
		public string TypeDicName { get; set; }


		/// <summary>
		/// 甄别申请原因
		/// </summary>
		public string Content { get; set; }

		/// <summary>
		/// 甄别申请状态
		/// </summary>
		public EScreenStatus? Status { get; set; }

		/// <summary>
		/// 附件列表
		/// </summary>
		public List<FileDto> Files { get; set; } = new();
	}
}
